#version 140

uniform mat4 PVMmatrix;     // Projection * View * Model --> model to clip coordinates
uniform float time;         

in vec3 position;           // vertex position in world space
in vec2 texCoord;           // incoming texture coordinates

smooth out vec2 texCoord_v; // outgoing texture coordinates
out float distanceFog;

float decay = 0.05;

void main() {

  gl_Position = PVMmatrix * vec4(position, 1.0);

  float localTime = time * decay;

  vec2 offset = vec2((floor(localTime) - localTime) * 4 + 1.0, 0.0);

  texCoord_v = texCoord + offset;
  distanceFog =  distance(vec4(0.0, 0.0, 0.0, 1.0), vec4(position, 1.0));
}
